Index: PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -48,5 +48,14 @@
         </div>
 
-    <div class="form-group">
+        <div class="form-group">
+            @Html.LabelFor(model => model.vetcentersid, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.DropDownListFor(model => model.vetcentersid, (SelectList)ViewBag.VetCenters, "Select VetCenter", new { @class = "form-control" })
+                @Html.ValidationMessageFor(model => model.vetcentersid, "", new { @class = "text-danger" })
+            </div>
+        </div>
+
+
+   @*<div class="form-group">
         @Html.LabelFor(model => model.vetcentersid, htmlAttributes: new { @class = "control-label col-md-2" })
         <div class="col-md-10">
@@ -55,4 +64,13 @@
         </div>
     </div>
+    *@
+        @*
+        <div class="form-group">
+            <label class="control-label col-md-2" for="vetcentersid">VetCenter:</label>
+            <div class="col-md-10">
+                @Html.DropDownList("vetcentersid", (SelectList)ViewBag.VetCenters, "Select VetCenter", new { @class = "form-control" })
+            </div>
+        </div>
+    *@
 
 
Index: PostgreSqlDotnetCore/Views/Pets/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Create.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/Pets/Create.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -16,4 +16,12 @@
     <hr />
     @Html.ValidationSummary(true, "", new { @class = "text-danger" })
+
+        <div class="form-group">
+            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
+                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
+            </div>
+        </div>
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/Pets/Delete.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Delete.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/Pets/Delete.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -12,4 +12,12 @@
     <hr />
     <dl class="dl-horizontal">
+
+        <dt>
+            @Html.DisplayNameFor(model => model.name)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.name)
+        </dd>
         <dt>
             @Html.DisplayNameFor(model => model.color)
Index: PostgreSqlDotnetCore/Views/Pets/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Details.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/Pets/Details.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -11,4 +11,11 @@
     <hr />
     <dl class="dl-horizontal">
+        <dt>
+            @Html.DisplayNameFor(model => model.name)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.name)
+        </dd>
         <dt>
             @Html.DisplayNameFor(model => model.color)
Index: PostgreSqlDotnetCore/Views/Pets/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Edit.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/Pets/Edit.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -18,4 +18,11 @@
     @Html.HiddenFor(model => model.id)
 
+        <div class="form-group">
+            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
+                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
+            </div>
+        </div>
     <div class="form-group">
         @Html.LabelFor(model => model.color, htmlAttributes: new { @class = "control-label col-md-2" })
Index: PostgreSqlDotnetCore/Views/Pets/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Index.cshtml	(revision ae6c0712e0210e422db7f9965730be72399e4ad4)
+++ PostgreSqlDotnetCore/Views/Pets/Index.cshtml	(revision 8f8226c8dbb4aa7ecab93c2a9feb0b429fbf2f1c)
@@ -12,4 +12,7 @@
 <table class="table">
     <tr>
+        <th>
+            @Html.DisplayNameFor(model => model.name)
+        </th>
 
         <th>
@@ -36,4 +39,7 @@
 @foreach (var item in Model) {
     <tr>
+            <td>
+                @Html.DisplayFor(modelItem => item.name)
+            </td>
         <td>
             @Html.DisplayFor(modelItem => item.color)
